Imports Microsoft.VisualBasic
Imports System
Imports System.Collections.Generic
Imports System.Linq
Imports System.Text
Imports System.Windows
Imports System.Windows.Controls
Imports System.Windows.Data
Imports System.Windows.Documents
Imports System.Windows.Input
Imports System.Windows.Media
Imports System.Windows.Media.Imaging
Imports System.Windows.Navigation
Imports System.Windows.Shapes

Imports System.Security.Cryptography
Imports System.IO

Namespace CryptoCalc
  ''' <summary>
  ''' Interaction logic for Window1.xaml
  ''' </summary>
  Partial Public Class Window1
	  Inherits Window
	Public Sub New()
	  InitializeComponent()
	End Sub

	Private Sub button1_Click(ByVal sender As Object, ByVal e As RoutedEventArgs)
	  Dim input As String = textBox1.Text
	  Dim inputBytes() As Byte = Encoding.UTF8.GetBytes(input)

	  If radioButton1.IsChecked = True Then ' MD5
		Dim md5 As New MD5CryptoServiceProvider()
		Dim hashedBytes() As Byte = md5.ComputeHash(inputBytes)
		textBox2.Text = BitConverter.ToString(hashedBytes)

	  ElseIf radioButton2.IsChecked = True Then ' SHA1
		Dim sha As New SHA1CryptoServiceProvider()
		Dim hashedBytes() As Byte = sha.ComputeHash(inputBytes)
		textBox2.Text = BitConverter.ToString(hashedBytes)
	  ElseIf radioButton3.IsChecked = True Then ' DES
		Dim des As New DESCryptoServiceProvider()
		Dim blanks() As Byte = System.Text.Encoding.UTF8.GetBytes("        ") ' 8 spaces
		des.Key = blanks
		des.IV = blanks
		des.Padding = PaddingMode.Zeros
		Dim ms As New MemoryStream()
		Dim cs As New CryptoStream(ms, des.CreateEncryptor(), CryptoStreamMode.Write)
		cs.Write(inputBytes, 0, inputBytes.Length)
		cs.Close()
		Dim encryptedBytes() As Byte = ms.ToArray()
		ms.Close()
		textBox2.Text = BitConverter.ToString(encryptedBytes)
	  End If

	End Sub ' button1_Click

	Public Sub OnFileExit(ByVal sender As Object, ByVal e As RoutedEventArgs)
	  Me.Close()
	End Sub

  End Class ' class
End Namespace ' ns
